### Hierarchy

- ScrollPosition

## Index

### Properties

- columnIndex
- columnKey
- offsetX
- offsetY
- rowIndex
- rowKey
- x
- y

## Properties

### columnIndex

columnIndex: number

The zero-based column index of the cell at the origin of the grid. If scrollPolicy is set to 'loadMoreOnScroll' and the index is greater than maxCount set in scrollPolicyOptions, then it will scroll and fetch until the end of the list is reached and there's no more items to fetch.

### columnKey

columnKey: any

The column key of the cell at the origin of the grid. If DataGridDataSource is used for data and the key does not exist in the DataGridDataSource, then the value is ignored. If it is unknown in the data source then the grid will fetch and scroll until the item is found or the end of the axis is reached and there's no more items to fetch.

### offsetX

offsetX: number

The horizontal offset in pixel relative to the cell identified by key/index.

### offsetY

offsetY: number

The vertical offset in pixel relative to the cell identified by key/index.

### rowIndex

rowIndex: number

The zero-based row index of the cell at the origin of the grid. If scrollPolicy is set to 'loadMoreOnScroll' and the index is greater than maxCount set in scrollPolicyOptions, then it will scroll and fetch until the end of the list is reached and there's no more items to fetch.

### rowKey

rowKey: any

The row key of the cell at the origin of the grid. If DataGridDataSource is used for data and the key does not exist in the DataGridDataSource, then the value is ignored. If it is unknown in the data source then the grid will fetch and scroll until the item is found or the end of the axis is reached and there's no more items to fetch.

### x

x: number

The horizontal position in pixels.

### y

y: number

The vertical position in pixels.

Generated using TypeDoc